Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::WlanStatistic Struct Referencefinal

WLAN_STATISTIC. More...

`#include <WlanStatistic.h>`

Inheritance diagram for Vector::BLF::WlanStatistic:

## Public Types
enum | Flags : uint16_t { ValidRxTxCounter = 0x01 , ValidErrorCounter = 0x02 }
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
uint16_t | calculateHeaderSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default

## Public Attributes
uint16_t | channel {}
| application channel
uint16_t | flags {}
uint32_t | rxPacketCount {}
uint32_t | rxByteCount {}
uint32_t | txPacketCount {}
uint32_t | txByteCount {}
uint32_t | collisionCount {}
uint32_t | errorCount {}
uint32_t | reservedWlanStatistic {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Detailed Description

WLAN_STATISTIC.

WLAN statistic.

## Member Enumeration Documentation

## ◆ Flags

enum Vector::BLF::WlanStatistic::Flags : uint16_t

enumeration for flags

Enumerator
ValidRxTxCounter | Valid Rx/Tx Counter
ValidErrorCounter | Valid Error Counter

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::WlanStatistic::calculateObjectSize | ( |  | ) | const
| override virtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeader.

## ◆ read()

void Vector::BLF::WlanStatistic::read | ( | AbstractFile & | is | ) |
| override virtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeader.

## ◆ write()

void Vector::BLF::WlanStatistic::write | ( | AbstractFile & | os | ) |
| override virtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeader.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::WlanStatistic::channel {}

application channel

The channel of the frame.

## ◆ collisionCount

uint32_t Vector::BLF::WlanStatistic::collisionCount {}

Number of collisions since last statistic event.

## ◆ errorCount

uint32_t Vector::BLF::WlanStatistic::errorCount {}

Number of errors since last statistic event.

## ◆ flags

uint16_t Vector::BLF::WlanStatistic::flags {}

flags

## ◆ reservedWlanStatistic

uint32_t Vector::BLF::WlanStatistic::reservedWlanStatistic {}

reserved

## ◆ rxByteCount

uint32_t Vector::BLF::WlanStatistic::rxByteCount {}

Number of Rx bytes since last statistic event.

## ◆ rxPacketCount

uint32_t Vector::BLF::WlanStatistic::rxPacketCount {}

Number of Rx packets since last statistic event.

## ◆ txByteCount

uint32_t Vector::BLF::WlanStatistic::txByteCount {}

Number of Tx bytes since last statistic event.

## ◆ txPacketCount

uint32_t Vector::BLF::WlanStatistic::txPacketCount {}

Number of Tx packets since last statistic event.

The documentation for this struct was generated from the following files:

- WlanStatistic.h
- WlanStatistic.cpp